# https://github.com/code-ready/machine-driver-libvirt
%global goipath         github.com/code-ready/machine-driver-libvirt
Version:                0.12.14

%gometa

%global common_description %{expand:
CodeReady Container's libvirt machine driver}


%global golicenses    LICENSE
%global godocs        *.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        CodeReady Container's libvirt machine driver
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0001:      0001-Fix-compilation-with-newer-libvirt-go.patch

#generate_buildrequires
#go_generate_buildrequires

#BuildRequires: golang-ipath(github.com/code-ready/machine)
#BuildRequires: golang(github.com/libvirt/libvirt-go)
#BuildRequires: golang(github.com/libvirt/libvirt-go-xml)
#BuildRequires: golang(github.com/sirupsen/logrus)
#BuildRequires: golang(github.com/stretchr/testify)
BuildRequires: pkgconfig(libvirt)

%description
%{common_description}

%gopkg

%prep
%goprep -k
#patch0001 -p1

%build
%gobuild -o %{gobuilddir}/bin/crc-driver-libvirt %{goipath}/cmd/machine-driver-libvirt

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%check
%gocheck

%files
%license %{golicenses}
%doc
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Feb 03 2021 Christophe Fergeau <cfergeau@redhat.com> - 0.12.14-1
- Initial import in Fedora
